{
  "name": "infoalloggi2",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "build": "next build",
    "dev": "node ./headers/dev.js && next dev",
    "dev-https": "node ./headers/dev-https.js && cross-env NEXT_PUBLIC_BASE_URL='https://localhost:3000' INTERNAL_BASE_URL='https://localhost:3000' next dev --experimental-https",
    "idev": "cross-env NODE_OPTIONS='--inspect' next dev",
    "lint": "node ./headers/lint.js &&  next lint && node check-env-vars.js",
    "start": "next start",
    "types": "node ./headers/type.js && tsc --noEmit",
    "pg-typegen": "node ./headers/pg-typegen.js && npx kanel",
    "email": "cross-env NEXT_PUBLIC_BASE_URL='https://localhost:3000' email dev --port 3500",
    "test": "npm run lint && npm run types",
    "knip": "knip --no-exit-code",
    "stripe-dev": "stripe listen --forward-to http://localhost:3000/api/stripe-webhook",
    "d": "npm run-p dev stripe-dev -cl",
    "test-kr": "node ./kyselyRules/rules/select.test.js && node ./kyselyRules/rules/where.test.js&& node ./kyselyRules/rules/null.test.js"
  },
  "dependencies": {
    "@fattureincloud/fattureincloud-ts-sdk": "^2.1.1",
    "@hookform/resolvers": "^5.1.1",
    "@radix-ui/react-popover": "^1.1.14",
    "@radix-ui/react-scroll-area": "^1.2.9",
    "@radix-ui/react-slot": "^1.2.3",
    "@radix-ui/react-toggle-group": "^1.1.10",
    "@react-email/components": "^0.3.2",
    "@react-email/render": "^1.1.4",
    "@stripe/react-stripe-js": "^3.7.0",
    "@stripe/stripe-js": "^7.5.0",
    "@tanstack/react-query": "^5.74.4",
    "@tanstack/react-table": "^8.21.3",
    "@tanstack/react-virtual": "^3.13.12",
    "@tiptap/extension-underline": "^2.23.0",
    "@tiptap/pm": "^2.25.0",
    "@tiptap/react": "^2.23.0",
    "@tiptap/starter-kit": "^2.25.0",
    "@trpc/client": "^11.1.0",
    "@trpc/next": "^11.4.3",
    "@trpc/react-query": "^11.1.0",
    "@trpc/server": "^11.1.0",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "cmdk": "^1.1.1",
    "cookies-next": "^5.1.0",
    "date-fns": "^4.1.0",
    "embla-carousel-react": "^8.6.0",
    "framer-motion": "^12.8.0",
    "frimousse": "^0.3.0",
    "ioredis": "^5.7.0",
    "jose": "^6.0.12",
    "js-cookie": "^3.0.5",
    "kysely": "^0.28.2",
    "kysely-plugin-serialize": "^0.8.2",
    "leaflet": "^1.9.4",
    "leaflet-defaulticon-compatibility": "^0.1.2",
    "lucide-react": "^0.536.0",
    "next": "^15.3.4",
    "next-themes": "^0.4.6",
    "nodemailer": "^7.0.5",
    "nodemailer-html-to-text": "^3.2.0",
    "nuqs": "^2.4.3",
    "pg": "^8.16.3",
    "radix-ui": "^1.4.2",
    "react": "^19.1.0",
    "react-colorful": "^5.6.1",
    "react-day-picker": "^9.8.0",
    "react-dom": "^19.1.1",
    "react-email": "^4.2.3",
    "react-hook-form": "^7.60.0",
    "react-hot-toast": "^2.5.2",
    "react-is": "^19.1.0",
    "react-leaflet": "^5.0.0",
    "react-phone-number-input": "^3.4.12",
    "react-reverse-portal": "^2.3.0",
    "react-select": "^5.10.2",
    "react-to-print": "^3.1.1",
    "react-use": "^17.6.0",
    "recharts": "^2.15.4",
    "sharp": "^0.34.3",
    "stripe": "^18.3.0",
    "superjson": "2.2.2",
    "tailwind-merge": "2.4",
    "trpc-ui": "^1.0.15",
    "type-fest": "^4.41.0",
    "uuid": "^11.1.0",
    "vaul": "^1.1.2",
    "yaml": "^2.8.0",
    "zod": "^3.25.76"
  },
  "devDependencies": {
    "@eslint/compat": "^1.3.1",
    "@eslint/eslintrc": "^3.3.0",
    "@eslint/js": "^9.30.0",
    "@hookform/devtools": "^4.4.0",
    "@next/eslint-plugin-next": "^15.3.4",
    "@prettier/sync": "^0.6.1",
    "@react-email/preview-server": "^4.2.3",
    "@tailwindcss/forms": "^0.5.10",
    "@tailwindcss/postcss": "^4.1.11",
    "@tailwindcss/typography": "^0.5.16",
    "@tanstack/eslint-plugin-query": "^5.81.2",
    "@total-typescript/ts-reset": "^0.6.1",
    "@types/eslint": "^9.6.1",
    "@types/eslint-plugin-jsx-a11y": "^6.10.0",
    "@types/js-cookie": "^3.0.6",
    "@types/leaflet": "^1.9.20",
    "@types/node": "^24.0.7",
    "@types/nodemailer": "^6.4.17",
    "@types/nodemailer-html-to-text": "^3.1.3",
    "@types/pg": "^8.15.5",
    "@types/react": "^19.1.8",
    "@types/react-dom": "^19.1.7",
    "@types/react-is": "^19.0.0",
    "@types/uuid": "^10.0.0",
    "@typescript-eslint/eslint-plugin": "^8.28.0",
    "@typescript-eslint/parser": "^8.31.0",
    "cross-env": "^10.0.0",
    "eslint": "^9.30.1",
    "eslint-config-next": "^15.3.4",
    "eslint-import-resolver-typescript": "^4.4.4",
    "eslint-plugin-better-tailwindcss": "^3.5.1",
    "eslint-plugin-import": "^2.31.0",
    "eslint-plugin-no-relative-import-paths": "^1.6.1",
    "eslint-plugin-react": "^7.37.5",
    "eslint-plugin-react-hooks": "^5.2.0",
    "jiti": "^2.4.2",
    "kanel": "^3.14.1",
    "kanel-kysely": "^0.7.1",
    "knip": "^5.62.0",
    "npm-run-all": "^4.1.5",
    "postcss": "^8.5.3",
    "prettier": "^3.6.2",
    "prettier-plugin-classnames": "^0.8.1",
    "prettier-plugin-tailwindcss": "^0.6.14",
    "tailwind-scrollbar": "^4.0.2",
    "tailwindcss": "^4.1.11",
    "tw-animate-css": "^1.3.5",
    "typescript": "^5.8.3",
    "typescript-eslint": "^8.35.0"
  },
  "ct3aMetadata": {
    "initVersion": "7.9.0"
  }
}